Ask Your Question
0

Unable to install gazebo 1.2

asked 2012-10-21 23:42:47 -0500

viovio gravatar image

Hello to all

My actual gazebo-version (1.02) cant open any .urdf-file correctly. The terminal shows following:

Warning [parser.cc:348] Gazebo SDF has no gazebo element Warning [parser.cc:291] DEPRECATED GAZEBO MODEL FILE On July 1st, 2012, this formate will no longer by supported Convert your files using the gzsdf command line tool You have been warned!

And the urdf object is not visible. So I guessed i have to install gazebo 1.2. By using

sudo apt-get install ros-fuerte-simulator_gazebo

the terminal shows:

E: Unable to locate package ros-fuerte-simulator_gazebo

How can I solve this problem?

edit retag flag offensive close merge delete

Comments

What OS are you on? And what are your apt sources set to?

tfoote gravatar image tfoote  ( 2012-10-22 05:43:32 -0500 )edit

I'm using Ubuntu 12.04. But I'm a Rookie in Linux.

viovio gravatar image viovio  ( 2012-10-23 03:10:04 -0500 )edit

My Sources are set to: sudo sh -c 'echo "deb http://packages.ros.org/ros/ubuntu precise main" > /etc/apt/sources.list.d/ros-latest.list' like its proposed here: http://www.ros.org/wiki/fuerte/Installation/Ubuntu

viovio gravatar image viovio  ( 2012-10-23 03:10:26 -0500 )edit

My Sources are set to:

viovio gravatar image viovio  ( 2012-10-23 03:10:26 -0500 )edit

2 Answers

Sort by ยป oldest newest most voted
1

answered 2012-10-24 04:50:23 -0500

SL Remy gravatar image

That warning has been present for a while, but it is a warning not an error.

There must be some other reason why your simulation is not working.

About Gazebo 1.2:

Work [has] been done to bring us towards the more stable underlying gazebo release (1.2.x), but there's one more critical task and some more testing before switching over. @hsu

It can be installed from source, but I must highlight the strongly worded caution that "ROS Users: Never install Gazebo from here", so you probably shouldn't do so unless you really know what you're doing.

edit flag offensive delete link more
1

answered 2012-10-23 21:30:48 -0500

ad34 gravatar image

Hello viovio,

the right syntax to install gazebo is

$ sudo apt-get install ros-fuerte-simulator-gazebo (Note the - instead of the _ )

But as you I have the 1.0.2 version and many problems with it. And when running the command above, it tells that gazebo is up to date.

So I fear you can't install Gazebo 1.2 with ROS fuerte

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2012-10-21 23:42:47 -0500

Seen: 389 times

Last updated: Oct 24 '12